Package org.jboss.resteasy.plugins.providers.atom.app

## Class AppService

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.atom.app.AppCommonAttributes
  - - org.jboss.resteasy.plugins.providers.atom.app.AppService

- All Implemented Interfaces:
    `Serializable`

      public class AppService
      extends AppCommonAttributes

  Per RFC 5023:

       The root of a Service Document is the "app:service" element.

       The app:service element is the container for service information
       associated with one or more Workspaces.  An app:service element MUST
       contain one or more app:workspace elements.

       namespace app = "http://www.w3.org/2007/app"
       start = appService

       appService =
          element app:service {
              appCommonAttributes,
             ( appWorkspace+
               & extensionElement* )
          }

       For authoring to commence, a client needs to discover the
       capabilities and locations of the available Collections.  Service
       Documents are designed to support this discovery process.

       How Service Documents are discovered is not defined in this
       specification.

       Service Documents are identified with the "application/atomsvc+xml"
       media type

  Version:
    $Revision: 1 $
  Author:
    Kurt Stam
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AppService()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<AppWorkspace>` | `getWorkspace()` |

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.atom.app.AppCommonAttributes

      `getBase, getLang, getOtherAttributes, getSpace, setBase, setLang, setSpace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppService

          public AppService()

  - ### Method Detail

    - #### getWorkspace

          public List<AppWorkspace> getWorkspace()